Find timeslot by external id
1 min
Get timeslot by external id
Get a single timeslot in an event using its external id
GET
https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/timeslots/find?external_id={externalId}
Path Parameters
- {organizationId}NumberrequiredDescription
- {eventId}NumberrequiredDescription
- {externalId}NumberDescription
Header Parameters
- Brella-API-Access-TokenStringrequiredDescription
- AcceptstringrequiredDescription
- Content-TypestringrequiredDescription
curl
curl --location -g --request GET 'https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/timeslots/find?external_id={externalId}' \
--header 'Brella-API-Access-Token: String' \
--header 'Accept: application/vnd.brella.v4+json' \
--header 'Content-Type: application/json'200
{
"data": {
"id": "494099",
"type": "timeslot",
"attributes": {
"external-id": "TRRTTEER",
"title": "A test of the timeslot endpoint",
"reservable": false,
"duration": 30,
"location": null,
"content": null,
"subtitle": "Testing the subtitle",
"highlight-position": null,
"stream-link": null,
"chat-channel-id": null,
"start-time": "2029-07-01T08:00:00.000Z",
"end-time": "2029-07-01T08:30:00.000Z",
"tag-order": [
"116587",
"116586",
"116585"
]
},
"relationships": {
"tags": {
"data": [
{
"id": "116587",
"type": "tag"
},
{
"id": "116586",
"type": "tag"
},
{
"id": "116585",
"type": "tag"
}
]
},
"locations": {
"data": []
},
"speaker-assignments": {
"data": []
},
"speakers": {
"data": []
},
"tabs": {
"data": []
},
"attendee-groups": {
"data": []
},
"event": {
"data": {
"id": "6357",
"type": "event"
}
}
}
},
"included": [
{
"id": "116587",
"type": "tag",
"attributes": {
"name": "chod",
"color": "#D79658",
"updated-at": "2023-03-08T11:13:17.240Z",
"created-at": "2023-03-08T11:13:17.240Z"
},
"relationships": {
"event": {
"data": {
"id": "6357",
"type": "event"
}
}
}
},
{
"id": "116586",
"type": "tag",
"attributes": {
"name": "bob",
"color": "#00AF66",
"updated-at": "2023-03-08T11:13:11.106Z",
"created-at": "2023-03-08T11:13:11.106Z"
},
"relationships": {
"event": {
"data": {
"id": "6357",
"type": "event"
}
}
}
},
{
"id": "116585",
"type": "tag",
"attributes": {
"name": "tob",
"color": "#bb16a3",
"updated-at": "2023-03-08T11:08:19.426Z",
"created-at": "2023-03-08T11:08:19.426Z"
},
"relationships": {
"event": {
"data": {
"id": "6357",
"type": "event"
}
}
}
}
]
}